﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using ID883250.Resources;
using Telerik.Windows.Controls;

namespace ID883250
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();

            this.DataContext = new VM();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            (this.DataContext as VM).Text = string.Empty;
        }
    }

    public class VM : ViewModelBase
    {
        private string text;

        public string Text
        {
            get
            {
                return this.text;
            }
            set
            {
                if (value != this.text)
                {
                    this.text = value;
                    OnPropertyChanged("Text");
                }
            }
        }

        public VM()
        { 
            this.Text = "text";
        }
    }
}